aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.scripts/i3barbattery
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2019-09-23 06:32:38 +0300
committerYaroslav <contact@yaroslavps.com>2019-09-23 06:32:38 +0300
commit93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1 (patch)
treef5cab1472bf7d95aa72c43a713e104d2827b37a5 /dotfiles/.scripts/i3barbattery
downloadswayrice-93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1.tar.gz
swayrice-93d2743e3864e9eab0699b1bb1ea5f01c10bdbc1.zip
initial commit
Diffstat (limited to 'dotfiles/.scripts/i3barbattery')
-rwxr-xr-xdotfiles/.scripts/i3barbattery34
1 files changed, 34 insertions, 0 deletions
diff --git a/dotfiles/.scripts/i3barbattery b/dotfiles/.scripts/i3barbattery
new file mode 100755
index 0000000..edc89c3
--- /dev/null
+++ b/dotfiles/.scripts/i3barbattery
@@ -0,0 +1,34 @@
+#!/bin/sh
+# Taken from Luke Smith's rice
+# Takes battery name as an argument (e.g. BAT0)
+
+case $BLOCK_BUTTON in
+ 3) notify-send "🔋 Battery module" "🔋: discharging
+🛑: not charging
+♻: stagnant charge
+🔌: charging
+⚡: charged
+❗: battery very low!
+- Text color reflects charge left" ;;
+esac
+
+capacity=$(cat /sys/class/power_supply/"$1"/capacity) || exit
+status=$(cat /sys/class/power_supply/"$1"/status)
+
+if [ "$capacity" -ge 75 ]; then
+ color="#689d6a"
+elif [ "$capacity" -ge 50 ]; then
+ color="#ffffff"
+elif [ "$capacity" -ge 25 ]; then
+ color="#ffff00"
+else
+ color="#ff0000"
+ warn="❗"
+fi
+
+[ -z $warn ] && warn=" "
+
+[ "$status" = "Charging" ] && color="#ffffff"
+
+printf "<span color='%s'>%s%s%s</span>" "$color" "$(echo "$status" | sed -e "s/,//;s/Discharging/🔋/;s/Not Charging/🛑/;s/Charging/🔌/;s/Unknown/♻️/;s/Full/⚡/;s/ 0*/ /g;s/ :/ /g")" "$warn" "$(echo "$capacity" | sed -e 's/$/%/')"
+